/*
    XDIG simple server 

    Filename: dig_server_simple.pl at port: 8002
    Author: Zhisheng Huang <huang@cs.vu.nl>
    Last modified: 5 April, 2006
*/

% this server requires XDIG version 1.5.0 or higher.

user:file_search_path(xdig, '../xdig').

:-use_module(xdig('dig_client')).
:-use_module(xdig('dig_server')).
:-use_module(xdig('dig_process')).
:-use_module(xdig('owl/owl2dig')).

:-use_module(library('http/thread_httpd')).



 


%deal with owl request
my_dig_server_processing(RequestData, Answer, [connection(close)]):-
			dig_requestdata_analysis(RequestData, _Data, Type),
			Type = 'rdf:RDF',
                  !,
               	owl2dig(RequestData, elements(L)),
			dig_post(elements(L), Answer, [connection(close)]),				
			true.



% simple forward
 my_dig_server_processing(RequestData, Answer, Options):-
			dig_post(RequestData, Answer, Options).



:- http_server(dig_server,[port(8002)]).



